Bug 524351 - missing link for the rhn-upgrade package
Summary: missing link for the rhn-upgrade package
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Docs Installation Guide
Version: 530
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Lana Brindley
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks: sat541-docs
TreeView+ depends on / blocked
 
Reported: 2009-09-19 08:49 UTC by Adrien Kunysz
Modified: 2013-10-23 23:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-16 22:22:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0413 normal SHIPPED_LIVE Red Hat Network Satellite bug fix update 2010-05-17 12:50:51 UTC

Description Adrien Kunysz 2009-09-19 08:49:14 UTC
In section 1.6.2 of the Satellite 5.3 Installation Guide as found on http://www.redhat.com/docs/en-US/Red_Hat_Network_Satellite/5.3/Installation_Guide/html/s2-upgrades-rhnup.html
you can find this:

> There are two ways to obtain this RPM:
>
> 1. Ensure the satellite is registered to RHN and to the Red Hat Network
> Satellite Channel, then using yum to install the rhn-upgrade package with
> the following commmand:
>
>      yum install rhn-upgrade
>
> 2. Download directly from this page after logging in.

There is no link to the page where you can download rhn-upgrade in point 2. Can you please either add that link or not talk about it?

Comment 1 John Ha 2009-11-04 08:40:33 UTC
Fixed in the latest upcoming (5.3.1) release of the Satellite Installation Guide.

Section rewritten to the following:

To install the rhn-upgrade package, ensure the satellite is registered to RHN and to the Red Hat Network Satellite Channel, then use yum to install the rhn-upgrade package with the following commmand:

yum install rhn-upgrade

Comment 3 Brandon Perkins 2010-03-06 05:22:55 UTC
Fails QA.  Checked on:

https://rlx-3-14.rhndev.redhat.com/rhn/help//satellite/en-US/s2-upgrades-rhnup.jsp

there are two problems:

1) Only yum is referenced, we don't have the equivalent command for up2date:
      up2date rhn-upgrade
   so we should have a RHEL4 vs. RHEL5 case statement in there.

2) The original text from this bug description is in fact wrong, but just removing this way of getting it is also a bad omission.  I think we need some new text that covers this case like:
   1. Log into the RHN Hosted web interface at https://rhn.redhat.com/
   2. Click on the 'Channels' tab.
   3. Under 'Filter by Product Channel' select 'Red Hat Network Products'.
   4. Select your *current* version of Satellite.
   5. Select your Satellite server's architecture.
   6. Press the 'Filter' button.
   7. Expand the 'Red Hat Enterprise Linux' tree for your version of the base operating system.
   8. Click on the link on the 'Red Hat Network Satellite' row under the 'Architecture' column.
   9. Click on the 'Packages' tab.
  10. In the 'Filter by Package' text box, type 'rhn-upgrade' and press the 'Go' button.
  11. Click on the latest rhn-upgrade package release for the version of Satellite you are upgrading to.
  12. Click on the 'Download Package' link.
  13. Copy the package to the Satellite server.
  14. On the Satellite server run 'rpm -Uvh rhn-upgrade-file.rpm'.

Comment 4 John Ha 2010-03-23 20:16:40 UTC
Thanks for the detailed feedback! I've incorporated both the RHEL 4 up2date command and the procedure for manually downloading and installing the package in the latest build on docs stage:

http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Network_Satellite/5.3.1/html/Installation_Guide/s2-upgrades-rhnup.html

Again, thanks again for the contribution! Back to MODIFIED.

Comment 6 Brandon Perkins 2010-05-11 17:19:39 UTC
Fails QA.  Two issues that are disjoint:

1) There is a typo of:

   up2date rh-upgrade

which should be:

   up2date rhn-upgrade

which is a jha issue.

2) There is a formatting issue (likely in the conversion) which is a Justin issue.  In http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Network_Satellite/5.3.1/html/Installation_Guide/s2-upgrades-rhnup.html:

rpm -Uvh rhn-upgrade-version.rpm

and in https://rlx-3-14.rhndev.redhat.com/rhn/help//satellite/en-US/s2-upgrades-rhnup.jsp:

rpm -Uvh rhn-upgrade-
version
.rpm

Comment 8 Brandon Perkins 2010-05-11 18:43:38 UTC
Per Comment 7, marking this bug as verified.  New bug opened as Bug 591259 - Typo and formatting fixes for 1.6.2. Satellite Upgrade Documentation Package (rhn-upgrade)

Comment 9 Brandon Perkins 2010-05-14 22:07:41 UTC
Release Pending.  Checked on rlx-3-10.rhndev.redhat.com with:

rhn-i18n-guides-5.3.0.16-1.el5sat
rhn-i18n-release-notes-5.3.0.8-1.el5sat
satellite-branding-5.3.0.28-1.el5sat
satellite-doc-indexes-5.3.24-1.el5sat

Comment 14 Lana Brindley 2011-06-16 22:22:30 UTC
5.4.1 Satellite books are now available on docs.redhat.com. Please raise a new bug for any issues.

LKB


Note You need to log in before you can comment on or make changes to this bug.